Bug 119645 - FILEOPEN - CSV text import window hidden behind initial file-open window
Summary: FILEOPEN - CSV text import window hidden behind initial file-open window
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
5.0 all versions
Hardware: All macOS (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: CSV-Dialog
  Show dependency treegraph
 
Reported: 2018-09-02 10:59 UTC by tagishsimon
Modified: 2021-02-04 04:25 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
windows displayed prior to CSV import (1.70 MB, image/png)
2018-09-02 11:00 UTC, tagishsimon
Details
windows displayed after invoking a csv import (2.52 MB, image/png)
2018-09-02 11:00 UTC, tagishsimon
Details

Note You need to log in before you can comment on or make changes to this bug.
Description tagishsimon 2018-09-02 10:59:36 UTC
This issue echoes the resolved https://bugs.documentfoundation.org/show_bug.cgi?id=115683

When Libre Office's initial File Open window and the "Check for Updates" window are both displayed, if a CSV import is invoked (e.g. by double-clicking a .CSV in finder), the Text Import window hides behind the initial File Open window - see screengrab. 

The handling of display of windows is markedly different when comparing:
- invoking a CSV import whilst the initial File Open window and the "Check for Updates" window are both displayed, and
- invoking a CSV import whilst the "initial File Open window and the "About LibreOffice" window are both displayed.

Method:
1. Open Libreoffice
2. Libreoffice opens, shows am initial File Open window
3. Select Help, Check for Updates ...
4. Allow Check for Updates to do its stuff & report that Libreoffice is up to date
5. Note that two windows are open - foreground: Check for Updates, background: initial File Open window
6. Invoke a CSV import (e.g. by doubleclicking a CSV in finder where CSV is associated with Libreoffice)

EXPECTED: The Text Import window is displayed in the foreground

ACTUAL: The Text Import window (and the Check for Updates window) are both hidden behind the initial File Open window.

For contrast, do the above but open the About Libreoffice window instead of the Check for Updates window, and then invoke a CSV import ... the application behaves as expected.
Comment 1 tagishsimon 2018-09-02 11:00:19 UTC
Created attachment 144606 [details]
windows displayed prior to CSV import
Comment 2 tagishsimon 2018-09-02 11:00:53 UTC
Created attachment 144607 [details]
windows displayed after invoking a csv import
Comment 3 tagishsimon 2018-09-02 12:20:35 UTC
Note that the issue does not arise if the "Check for Updates" window is open but the initial File Open window is not open ... e.g. if "Check for Updates is in the foreground and an open file is in the background.

Thus the issue seems to be limited to case where both the "Check for Updates" window and the initial File Open window are open at the time the CSV import is invoked.
Comment 4 Alex Thurgood 2018-09-05 07:23:21 UTC
Confirming with

Version: 6.2.0.0.alpha0+
Build ID: 0b06762ff19a804d3b86167ae3012811662412f1
CPU threads: 4; OS: Mac OS X 10.13.6; UI render: default; 
Locale: fr-FR (fr_FR.UTF-8); Calc: threaded
Comment 5 Xisco Faulí 2018-09-12 09:43:37 UTC
I can also reproduce this problem in

Version: 5.2.0.0.alpha1+
Build ID: 5b168b3fa568e48e795234dc5fa454bf24c9805e
CPU Threads: 8; OS Version: Mac OS X 10.13.6; UI Render: default; 
Locale: en-US (en_ES.UTF-8)

and

Version: 5.0.0.0.alpha1+
Build ID: ab465b90f6c6da5595393a0ba73f33a1e71a2b65
Locale: en-US (en_ES.UTF-8)

so I don't think this is a regression...
Comment 6 Xisco Faulí 2018-09-12 09:55:21 UTC
See problem reproduced if the extension manager dialog is open instead of the Check for updated dialog
Comment 7 QA Administrators 2021-02-04 04:25:56 UTC
Dear tagishsimon,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug